function $(id){ return document.getElementById(id);}
//###################################################
//取得下拉列表中选择项目的值
//###################################################
function getselect(v)
{
   var t;
   for(var i = 0; i < v.options.length; i ++ )
   {
      if (v.options[i].selected)
      {
         t = v.options[i].value;
         break;
      }
   }
   return t;
}
//###################################################
//Div打开和关闭 0 关闭,1或其它打开
//###################################################
function SkyDivOpr(sDiv,state)
{
   if(state == 0)
   {
	$(sDiv).style.display = "none";
   }
   else
   {
	$(sDiv).style.display = "";
   }
   
}
function SkyDivHTML(sDiv,html)
{
	$(sDiv).innerHTML = html;
}
function SkyDoSelect()
{
  var v;
  v=$("ListSelect");
  var intSelect = 0;
  for(var i = 0; i < v.options.length; i ++ )
   {
      if (v.options[i].selected)
      {
         //t = v.options[i].value;
         //break;
         intSelect = intSelect + 1;
      }
   }
   SkyDivHTML("SkySelected",intSelect);
}

function SkyDoSelectReturn()
{
  var v;
  v=$("ListSelect");
  var intSelect = 0;
  var intMSelect = 0;
  intMSelect = parseInt($("SkySelect").innerHTML);
  var ret,t;
  ret="";
  for(var i = 0; i < v.options.length; i ++ )
   {
      if (v.options[i].selected)
      {
         t = v.options[i].value;
		 ret = ret + t + "*";
         intSelect = intSelect + 1;
      }
   }
   if(intMSelect==intSelect)
   {
		//window.alert(ret.Trim());
		window.returnValue = ret.Trim();
		window.close();
   }
   else
   {
		window.alert("教务管理系统提示您:您必须选择"+intMSelect+"个试题才能正常的进行下面的操作!;");
   }
   
}
function SkyShowInfo(sID)
{
	//alert(sID);
	var TxtContextNum,TxtInfoNum,weburl,info,DrpExamSort;
	TxtContextNum = $("TxtContextNum"+sID).value;
	TxtInfoNum = $("TxtInfoNum"+sID).value;
	DrpExamSort=$("DrpExamSort").value;
	if(DrpExamSort=="0")
	{
		window.alert("请选择题库!不能是大类;")
	}
	else
	{
		if(TxtContextNum=="" || !isValidCode(TxtContextNum))
		{
			window.alert("试题的数量为空,并且必须是数字");
		}
		else
		{
			weburl="ExamDataInfoSelect.aspx?A="+DrpExamSort+"&B="+TxtContextNum+"&C="+sID+"&D="+TxtInfoNum;
			info="您确实要手动选择试题内容吗?";
			var k=Skyopenweb(weburl,info);
			
			if(k==undefined)
			{
				if(confirm("对不起,您没有选择数据，您选择系统将自动给你生成数据，还是使用已经选择的数据！确认，则重新生成！取消，则使用原数据！"))
				{
					$("TxtInfoNum" + sID).value="";
				}			
			}
			else
			{
				$("TxtInfoNum" + sID).value=k;
			}
		}
	}
	//Skyopenweb(weburl,info)
}

//####################################################################
String.prototype.Trim = function()
{
	return this.replace(/(^\**)|(\**$)/g, "");
}

String.prototype.LTrim = function()
{
	return this.replace(/(^\s*)/g, "");
}

String.prototype.RTrim = function()
{
	return this.replace(/(\s*$)/g, "");
}

//####################################################################
